import es
import gamethread
import playerlib
import settinglib
import os

# Whitelist path
foldername = es.getAddonPath('dlcheck')
whitelist_path = os.path.join(foldername, 'whitelist.txt')

# Addon Information
info = es.AddonInfo()
info.name = "DL Check"
info.version = "1.0"
info.author = "Kombarus"
info.description = "This addon check the client's cl_downloadfilter variable"
info.basename = "dlcheck"

def load():
  public = es.ServerVar(info.name, info.version)
  public.makepublic()
  es.msg('#multi','#green[DLCheck]#default Download check activated.')

def player_activate(event_var):
	es.queryclientvar (event_var['userid'], 'cl_downloadfilter')     

def es_player_variable(event_var):
  if (event_var['variable'] == "cl_downloadfilter"):
    if (event_var['status'] == "success"):
      if (event_var['value'] != "all"):
        if (whitelist(event_var['es_steamid']) == False):
          es.msg('#multi','#green'+str(event_var["es_username"])+'#default was kicked because he didnt set#green cl_downloadfilter#default to#lightgreen all#default!')
          es.server.queuecmd("kickid %s You have been kicked because you didn set the variable 'cl_downloadfilter' to 'all'!" % event_var['userid'])

def unload():
  es.msg('#multi','#green[DLCheck]#default Download check deactivated.')
  
def whitelist(sid):
  steamid = sid
  f = open(whitelist_path)
  text = f.read()
  f.close()
  for line in text.split('\n'):
    if (steamid == line):
      return True
  return False